package com.bonus.canteen.core.account.v3.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("acc_info")
@ApiModel("账户信息表")
public class AccInfo implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId
   private Long id;
   private Long accId;
   private Long custId;
   private Integer scope;
   private LocalDate endDate;
   private Integer accStatus;
   private String payPwd;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   private String crby;
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   private String upby;
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getAccId() {
      return this.accId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getScope() {
      return this.scope;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public Integer getAccStatus() {
      return this.accStatus;
   }

   public String getPayPwd() {
      return this.payPwd;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setAccId(final Long accId) {
      this.accId = accId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setScope(final Integer scope) {
      this.scope = scope;
   }

   public void setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
   }

   public void setAccStatus(final Integer accStatus) {
      this.accStatus = accStatus;
   }

   public void setPayPwd(final String payPwd) {
      this.payPwd = payPwd;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
